Glibc-2.3.3-lfs-5.1? (was Re: QLFS project announcement)

Robert Connolly robert at linuxfromscratch.org
Sun Sep 12 21:25:46 PDT 2004


The patch for gcc-3.4 comes with a testsuite for ssp. Its basic stuff just to 
make sure everything is peachy. Its nice to see, works too.

I'm still not sure yet about if gcc-3.4 builds without textrel when the pie 
flags are used, gcc-3.3.3 and 3.3.4 do. I was test building against 
lfs-unstable but its not working for me since the latest changes, so I'm 
using lfs-testing with unstable packages now.

I like the glibc-2.3.4-20040828 package over the version in lfs-testing 
because that security fix (in the owl patch) is in it. Glibc-2.3.3 from GNU 
is unsuitable, maybe if they release a 2.3.4 it might be better. The other 
packages should be strait forward. The next book will either be copied from 
unstable or testing depending on the state of unstable at the time, most 
likely from testing though. Its easier to copy from lfs again then to upgrade 
the hlfs book one package at a time.

New features might be a good thing too if anyone has ideas. Iptables is high 
on the todo list.



More information about the hlfs-dev mailing list